﻿using CommandLine;
using Janus.Core.Utils;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Analyzers.KeyValue
{
    /// <summary>
    /// CLI Arguments model
    /// </summary>
    public class CLIOptions : CLIOptionsAnalyzersBase
    {
        /// <summary>
        /// List of search patters to be used
        /// Format: Key=Value
        /// </summary>
        [Option('s', "searchPatterns",
          HelpText = "Search pattern to be performed on the given data. Search using \"Key=Value\", where Key= Property name, Value= Property value. Example: License=MIT")]
        public IEnumerable<string> SearchPatterns { get; set; }
    }
}
