﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Janus.Core.Enums
{
    /// <summary>
    /// This enumerable represents the output (export) possibilites provided by the core
    /// Each value coresponds to the specific implementation, which handles the output format specified by the value
    /// </summary>
    public enum EOutputType
    {
        /// <summary>
        /// Export in JSON format
        /// </summary>
        JSON,

        /// <summary>
        /// Export in Markdown format
        /// </summary>
        MD,

        /// <summary>
        /// Export in DOT graph format
        /// </summary>
        DOT,

        /// <summary>
        /// Export in plain text format
        /// </summary>
        Text
    }
}
