﻿using Janus.Core.Models.Results;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Interfaces
{
    /// <summary>
    /// This interface is for exporters.
    /// Should be enough for all the exporters needs.
    /// Should mirror importer cappabilities.
    /// </summary>
    public interface IExporter
    {
        /// <summary>
        /// Exports the given object data to the file
        /// </summary>
        /// <param name="dataToExport">Data to export</param>
        /// <param name="outPath">Path of the output file</param>
        /// <returns>Export result</returns>
        public ExportResult ExportData<T>(T dataToExport, string outPath = null);
    }
}
