﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Models
{
    /// <summary>
    /// This class represents the wrapper for the Json format
    /// It should contain the version of the data format and the root datatype, to perform additional parsing with
    /// </summary>
    public class DataSerializationWrapper
    {
        /// <summary>
        /// Version of the universal data format used
        /// </summary>
        public Version Version { get; set; }

        /// <summary>
        /// Datatype of the root element to be parsed
        /// </summary>
        public string DataType { get; set; }

        /// <summary>
        /// Data obejct, is specified using the DataType element
        /// </summary>
        public object Data { get; set; }

    }
}
