﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Parsers.PythonPyPi.PyPIAPI
{
    /// <summary>
    /// This is a model for the JSON pypi api for metadata info section
    /// </summary>
    public class PyPIMetadataInfo
    {
        /// <summary>
        /// This class represents the project urls for the package
        /// </summary>
        public class PyPIMetadataProjectUrls
        {
            /// <summary>
            /// Download?
            /// </summary>
            public IList<object> Download { get; set; }

            /// <summary>
            /// Repository homepage?
            /// </summary>
            public IList<object> Homepage { get; set; }
        }

        // <summary>
        /// Constructs and initializes the instance
        /// </summary>
        public PyPIMetadataInfo()
        {
            classifiers = new List<string>();
            //project_urls = new List<object>();
        }

        /// <summary>
        /// Package author
        /// </summary>
        public string author { get; set; }

        /// <summary>
        /// Package author email
        /// </summary>
        public string author_email { get; set; }

        /// <summary>
        /// Bugtracker URL
        /// </summary>
        public string bugtrack_url { get; set; }

        /// <summary>
        /// classifiers
        /// </summary>
        public IList<string> classifiers { get; set; }

        /// <summary>
        /// description
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// description content type
        /// </summary>
        public string description_content_type { get; set; }

        /// <summary>
        /// docs url
        /// </summary>
        public string docs_url { get; set; }

        /// <summary>
        /// download url
        /// </summary>
        public string download_url { get; set; }

        /// <summary>
        /// downloads meta
        /// </summary>
        public object downloads { get; set; }

        /// <summary>
        /// home page
        /// </summary>
        public string home_page { get; set; }

        /// <summary>
        /// keywords 
        /// </summary>
        public string keywords { get; set; }

        /// <summary>
        /// license 
        /// </summary>
        public string license { get; set; }

        /// <summary>
        /// name
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// package url
        /// </summary>
        public string package_url { get; set; }

        /// <summary>
        /// project url
        /// </summary>
        public string project_url { get; set; }

        /// <summary>
        /// project urls
        /// </summary>
        public object project_urls { get; set; }

        /// <summary>
        /// Package version specific link
        /// </summary>
        public string release_url { get; set; }

        /// <summary>
        ///  summary
        /// </summary>
        public string summary { get; set; }

        /// <summary>
        /// version
        /// </summary>
        public string version { get; set; }
    }
}
